ToolingApiUnsupportedBuildJvmCrossVersionSpec.groovy

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Split TAPI tests to dedicated source sets

    • -108
    • +0
    ./ToolingApiUnsupportedBuildJvmCrossVersionSpec.groovy
  1. … 346 more files in changeset.
Run tests that are now relevant (#1875)

* Run tests that are now relevant

* Fix formatting and imports

* Undo unintentional formattings

* Undo unintentional formattings

* Clarify test

    • -2
    • +0
    ./ToolingApiUnsupportedBuildJvmCrossVersionSpec.groovy
  1. … 9 more files in changeset.
Temporarily mark some failing specs as @MustFixForV4

    • -0
    • +2
    ./ToolingApiUnsupportedBuildJvmCrossVersionSpec.groovy
  1. … 15 more files in changeset.
Remember caught GradleConnectionExcpetion for retry rule analysis

    • -13
    • +12
    ./ToolingApiUnsupportedBuildJvmCrossVersionSpec.groovy
  1. … 2 more files in changeset.
Revert "Move @TargetGradleVersion and GradleVersionSpec to central integ test infrastructure, from Tooling API test infrastructure."

This reverts commit e71f77c55e865f583ff930fc29fb9c33a089f33b.

    • -1
    • +1
    ./ToolingApiUnsupportedBuildJvmCrossVersionSpec.groovy
  1. … 98 more files in changeset.
Move @TargetGradleVersion and GradleVersionSpec to central integ test infrastructure, from Tooling API test infrastructure.

This will be needed in upcoming TestKit tests.

+review REVIEW-6414

    • -1
    • +1
    ./ToolingApiUnsupportedBuildJvmCrossVersionSpec.groovy
  1. … 98 more files in changeset.
Ignore test if no 1.5 or 1.6 JDK is found

    • -0
    • +2
    ./ToolingApiUnsupportedBuildJvmCrossVersionSpec.groovy
  1. … 2 more files in changeset.
Simplified several int tests that check for behaviour when attempting to run on Java 5 or Java 6.

    • -78
    • +20
    ./ToolingApiUnsupportedBuildJvmCrossVersionSpec.groovy
  1. … 3 more files in changeset.
Changed the minimum version that Gradle will run on to Java 7.

    • -6
    • +85
    ./ToolingApiUnsupportedBuildJvmCrossVersionSpec.groovy
  1. … 15 more files in changeset.
Removed support for invoking Gradle through tooling API clients older than 2.0. This is now an error.

    • -1
    • +0
    ./ToolingApiUnsupportedBuildJvmCrossVersionSpec.groovy
  1. … 22 more files in changeset.
Moved a couple of test classes.

    • -0
    • +87
    ./ToolingApiUnsupportedBuildJvmCrossVersionSpec.groovy
  1. … 5 more files in changeset.